require_relative "data/version"

module WCC::Data

  def self.config
    @config ||= WCC::Data::Config.new
  end

  def self.setup
    yield config
  end

end

require_relative "data/config"
require_relative "data/enumerated_type"
require_relative "data/faraday_client_app_token_auth"
require_relative "data/mapper"
require_relative "data/model"
require_relative "data/rack_client_app_token_auth"
require_relative "data/response"
require_relative "data/rest_endpoint"
require_relative "data/service"

require_relative "data/nucleus"

