module WCC::Data::Nucleus

  class Group < Base
    set_endpoint :nucleus, "api/v1/groups/"

    attribute :id
    attribute :name
    attribute :member_count
    attribute :created_at
    attribute :updated_at

    def users
      User.list(group_id: id)
    end
  end

end

