module WCC::Data::Nucleus

  class Gender < WCC::Data::EnumeratedType
    attributes :id, :name, :key

    def matches?(value)
      [id, key].include?(value)
    end

    def self.db
      [
        {
          id: 1,
          name: 'Male',
          key: :male,
        },
        {
          id: 2,
          name: 'Female',
          key: :female,
        },
      ]
    end
  end

end
