module WCC::Data::Nucleus

  class MaritalStatus < WCC::Data::EnumeratedType
    attributes :id, :name, :key

    def matches?(value)
      [id, key].include?(value)
    end

    def self.db
      [
        {
          id: 1,
          name: 'Single',
          key: :single,
        },
        {
          id: 2,
          name: 'Married',
          key: :married,
        },
        {
          id: 3,
          name: 'Widowed',
          key: :widowed,
        },
        {
          id: 4,
          name: 'Divorced',
          key: :divorced,
        },
        {
          id: 5,
          name: 'Separated',
          key: :separated,
        },
      ]
    end
  end

end
